clang-tools 10.0.0

Namespaces | Functions
Threading.cpp File Reference
`#include "Threading.h"`
`#include "Trace.h"`
`#include "llvm/ADT/ScopeExit.h"`
`#include "llvm/Support/FormatVariadic.h"`
`#include "llvm/Support/Threading.h"`
`#include <atomic>`
`#include <thread>`
Include dependency graph for Threading.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
Deadline | clang::clangd::timeoutSeconds (llvm::Optional< double > Seconds)
| Makes a deadline from a timeout in seconds. None means wait forever. More...
void | clang::clangd::wait (std::unique_lock< std::mutex > &Lock, std::condition_variable &CV, Deadline D)
| Wait once on CV for the specified duration. More...